describe MessagesController do
  describe 'POST create' do
    let(:message) { mock_model(Message).as_null_object }
    before(:each) { Message.stub(:new).and_return(message) }

    it "creates a new message" do
      Message.should_receive(:new).with(text: "Text").and_return(message)
      post :create, message: { text: "Text" }
    end

    it "saves the message" do
      message.should_receive(:save)
      post :create
    end

    it "redirects to the Messages index" do
      post :create
      response.should redirect_to(action: :index)
    end
  end
end
